Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface ITypedArray

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, ITyped, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FArgumentArrayPrototype, SAttributeArray

All Known Implementing Classes:
  FArgumentArrayPrototypeImpl, SAttributeArrayImpl

    public interface ITypedArray

extends ITyped

A representation of the model object ' ITyped Array'.

The following features are supported:

- `Size`

See Also:
  `MetaABMPackage.getITypedArray()`

Method Summary
`int` | `getSize()` Returns the value of the 'Size' attribute.
`void` | `setSize(int value)` Sets the value of the '`Size`' attribute.

Methods inherited from interface org.metaabm.ITyped
`getSType, setSType`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSize

    int getSize()

  Returns the value of the 'Size' attribute.

  If the meaning of the 'Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Size' attribute.
  See Also:
    `setSize(int)`, `MetaABMPackage.getITypedArray_Size()`

### setSize

    void setSize(int value)

  Sets the value of the '`Size`' attribute.

  Parameters:
    `value` - the new value of the 'Size' attribute.
  See Also:
    `getSize()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD